//-------------------------------------------------------------
// このファイルは懸賞アプリ:KNQuizの設定ファイルです。
// このファイルを編集することによって、懸賞の内容を変更することができます。
//-------------------------------------------------------------

///////////////////////////////////////////////////////////////////////
"use strict";CKNQuizSetup((px,cfg)=>{
///////////////////////////////////////////////////////////////////////

//-------------------------------------------------------------
// [ クラスID ]
//
// このセクションでは、クラスIDの設定を行います。
//
// ひとつのウェブページに、懸賞を一つだけ設置する場合は、
// ディフォルトのクラスID( "myapp001" )をそのまま使用できます。
//
// ひとつのウェブページに、複数の懸賞を設置する場合は、
// 一つ一つの懸賞がユニークなクラスIDを持つ必要があります。
// 例えば、"myapp001"、"myapp002"、"myapp003"...
// といった具合です。
//
// 新しいクラスIDを作るには、小文字の英数字のみを使用してください。
//-------------------------------------------------------------
cfg.main={

	cid:"myapp001",

};

//-------------------------------------------------------------
// [ ヒント・カード ]
//
// このセクションでは、ヒント・カードの設定を行います。
//-------------------------------------------------------------
cfg.cdgrid={

	//-------------------------------------------------------------
	// 【url_base】
	// ヒント・カードの画像が入っているフォルダのURLを指定してください。
	// 絶対URLと相対URLのどちらでも構いません。
	// 相対URLの場合は、懸賞を設置したページが基準になります。
	// この設定ファイルに対して相対的にURLを指定する場合は
	// px.dirを使用してください。px.dirはこの設定ファイルが入っている
	// フォルダのURLを返します。

	url_base:px.dir+"img/card/",

	//-------------------------------------------------------------
	// 【url_cardback】
	// ヒント・カードの裏の画像のURLを指定してください。
	// 絶対URLと相対URLのどちらでも構いません。
	// 相対URLの場合は、【url_base】が基準になります。

	url_cardback:"cardback-000.png",

	//-------------------------------------------------------------
	// 【cards】
	// 各ヒント・カードの設定を列記します。

		// 【url_img】
		// ヒント・カードの画像のURLを指定してください。
		// 絶対URLと相対URLのどちらでも構いません。
		// 相対URLの場合は、【url_base】が基準になります。

		// 【title】
		// ヒント・カードのタイトルを指定してください。

		// 【body】
		// ヒント・カードの説明文を指定してください。

	cards:[
		{
			url_img:"solar.jpg",
			title:"太陽光発電",
			body:"太陽光発電の基本は、太陽電池モジュールです。これは太陽光を直接電気エネルギーに変換するためのパネルです。太陽電池モジュールは、太陽電池セルを集めて封止したもので、屋根や壁面に設置されます。"
		},
		{
			url_img:"water.jpg",
			title:"水力発電",
			body:"水力発電は、水の位置エネルギーを利用して電気を作る発電方法です。水が高い場所から低い場所へ流れ落ちる位置エネルギーを活用します。水力発電は、クリーンで効率的なエネルギー源として重要です。さまざまな運用方式や構造物によって実現されており、環境にやさしい発電方法と言えます。"
		},
		{
			url_img:"nuclear.jpg",
			title:"原子力発電",
			body:"原子力発電は、ウランなどの核燃料が持つエネルギーを利用して発電する方式です。原子炉内でウランの原子核が分裂する際に、莫大な熱エネルギーが発生します。この熱で発生する蒸気でタービンを回し、発電機を回転させます。核分裂によって放射性物質を含む廃棄物が発生し、その処理が課題となります。"
		},
		{
			url_img:"wind.jpg",
			title:"風力発電",
			body:"風力発電は、風の力を利用して発電する方法で、地球温暖化を引き起こす二酸化炭素（CO₂）を排出しない再生可能エネルギーです。風がブレードに当たると、ロータが回転を始めます。発電機が回転の力を電気エネルギーに変換し、電気が作られます"
		},
		{
			url_img:"geothermal.jpg",
			title:"地熱発電",
			body:"地熱発電は、地球の内部から発生する熱（地熱）を利用して電力を生成する方法です。地熱発電の仕組みは、地下1,000～3,000メートルに存在するマグマから発生する高温の地熱流体を利用します。天候や昼夜を問わず、マグマの熱は安定して供給されます。炭酸ガスの排出量が少なく、地球温暖化に対する影響が少ないです。"
		},
		{
			url_img:"fusion.jpg",
			title:"核融合発電",
			body:"核融合発電は、軽い水素原子同士を高温・高圧の状態にし、強力な磁場に閉じ込めて衝突させ、核融合反応を起こし、膨大なエネルギーとして放出させる仕組みです。太陽を輝かせているエネルギー源と同じなので、よく<span style='color:#f8c;font-weight:bold;'>「地上の太陽」</span>に例えられます。"
			},
	],

	//-------------------------------------------------------------
	// 【shuffle】
	// ページをアクセスするたびに、ヒント・カードの順序をランダムに変更するには、
	// true を指定してください。
	// [例] shuffle:true,
	//
	// ヒント・カードの順序をこの設定ファイルに書き込まれた順序で表示するには、
	// false を指定してください。
	// [例] shuffle:false,

	shuffle:true,

};

//-------------------------------------------------------------
// [ 背景画像 ]
//
//　このセクションでは、懸賞の背景画像の設定を行います。
//-------------------------------------------------------------
cfg.bgsshow={

	//-------------------------------------------------------------
	// 【url_base】
	// 背景画像が入っているフォルダのURLを指定してください。
	// 絶対URLと相対URLのどちらでも構いません。
	// 相対URLの場合は、懸賞を設置したページが基準になります。
	// この設定ファイルに対して相対URLを指定する場合はpx.dirを使用してください。
	// px.dirはこの設定ファイルが入っているフォルダのURLを返します。

	url_base:px.dir+"img/bg/",

	//-------------------------------------------------------------
	// 【imglist】
	// 背景画像のファイル名を列記してください。
	// 絶対URLと相対URLのどちらでも構いません。
	// 相対URLの場合は、【url_base】が基準になります。
	//
	// 一つ以上の画像を設置した場合は、自動的に画像が変わる
	// スライドショーになります。

	imglist:[
		"bg1.jpg",
		"bg2.jpg",
		"bg3.jpg",
		"bg4.jpg",
		"bg5.jpg",
		"bg6.jpg",
		"bg7.jpg",
		"bg8.jpg",
		"bg9.jpg",
		"bg10.jpg",
	],

	//-------------------------------------------------------------
	// 【t_transit】
	// スライドショーにおいて、一つの画像から次の画像へ遷移するのにかかる時間を
	// 秒で指定してください。

	t_transit:2,

	//-------------------------------------------------------------
	// 【t_pause】
	// スライドショーにおいて、画像が静止している間の時間を
	// 秒で指定してください。

	t_pause:5,

	//-------------------------------------------------------------
	// 【shuffle】
	// ページをアクセスするたびに、背景画像の順序をランダムに変更するには、
	// true を指定してください。
	// [例] shuffle:true,
	//
	// 背景画像の順序をこの設定ファイルに書き込まれた順序で表示するには、
	// false を指定してください。
	// [例] shuffle:false,

	shuffle:true,
};

//-------------------------------------------------------------
// [ Googleフォーム ]
//
// このセクションでは、懸賞の応募フォームとして使うGoogleフォームの
// URLの設定を行います。
//
// URLは「(ph(answer)ph)」を含む必要があります。
// 「(ph(answer)ph)」の部分はユーザーが入力したクイズの答えに
// 置換されます。
//-------------------------------------------------------------
cfg.gform={

	url_gform:"https://docs.google.com/forms/d/e/1FAIpQLScviREuFAichNnm-gaRzcX3MXIH67r9nWxddMZjVOwWijqo0w/viewform?usp=pp_url&entry.1589597014=(ph(answer)ph)",

};

//-------------------------------------------------------------
// [ CSS ]
//
// このセクションでは、懸賞のCSSの設定を行います。
// (※ CSSの設定を行うためには、CSSの基本的な知識が必要です。)
//
// CSSの設定は、ブラウザのデベロッパーツールを用いて、変更したい
// セレクタを見つけて、ここでオーバーライドします。
//
// ここでオーバーライドするCSSルールの一般形は以下のようになります。
//
// .knquiz-クラスID セレクタ{
//    ................
//    ................
//    ................
// }
//
// 「クラスID」はこの設定ファイルの頭で指定したクラスIDです。
// 「セレクタ」はブラウザのデベロッパーツールから
// 取得するCSSのセレクタです。
//
// 以下に具体例をあげましょう。
// 仮に、クラスIDが "myapp001" で、セレクタが ".knquiz-game"
// の場合、CSSのルールは以下のような形になります。
//
// .knquiz-myapp001 .knquiz-game{
//    ................
//    ................
//    ................
// }
//-------------------------------------------------------------
cfg.css=String.raw`

.knquiz-myapp001{
	--themecolor:#47ffc8;
	--panelbg:rgba(0,64,0,0.5);
}

.knquiz-myapp001 .knquiz-game{
	flex:0 1 500px;
}

.knquiz-myapp001 .gform-inner{
	background-color:lightblue;
}

`;

//-------------------------------------------------------------
// [ HTML ]
//
// このセクションでは、懸賞のHTMLの編集を行います。
// HTMLに特に詳しくない方は、文言の変更だけにとどめておいてください。
// 文言の変更だけで、懸賞のクイズの内容を変更できます。
// 
// 文言の中で使われている以下の２つの<span>タグを説明します。
//
// (1) <span class="knquiz-highlight">...</span>
//     文言の一部を目立たせるためにハイライトする<span>タグです。
//
// (2) <span class="knquiz-inbl">...</span>
//     この<span>タグの間ではブラウザによる自動改行が禁止されます。
//     改行してほしくない箇所を、この<span>タグで囲んでください。
//-------------------------------------------------------------
cfg.html=String.raw`

<div class="knquiz knquiz-reset">
	<div class="knquiz-back"></div>
	<div class="knquiz-front">
		<div class="knquiz-heading">
			<div class="knquiz-title">
クイズに答えて懸賞に<span class="knquiz-inbl">応募しよう!</span>
			</div>
			<div class="knquiz-desc">
電気を作るのには、様々な方法がありますが、<span class="knquiz-highlight">「地上の太陽」と例えられる発電方式は何でしょう？</span>
下の<span class="knquiz-card-icon">?</span>カードの中に、<span class="knquiz-inbl">ヒントが隠れています！</span>
			</div>
		</div><!--/knquiz-heading-->
		<div class="knquiz-body">
			<div class="knquiz-game">
				<div class="cdgrid"></div>
			</div>
		</div><!--/knquiz-body-->
		<div class="knquiz-footer">
			<div class="knquiz-instruction">
答えがわかった方は、下の欄に答えを記入して<span class="knquiz-highlight">「応募する」</span>を<span class="knquiz-inbl">クリックして</span><span class="knquiz-inbl">ください。</span>
			</div>
			<div class="aplform">
				<div class="aplform-form-group">
					<div class="aplform-label">
➤ 「地上の太陽」と例えられる発電方式は何？
					</div>
					<div class="aplform-input-group">
						<input class="aplform-input" type="text" name="answer" placeholder="答えをここに記入"/>
						<div class="aplform-submit" tabindex="0">
							<div class="aplform-submit-back"></div>
							<div class="aplform-submit-label">応募する</div>
						</div>
					</div><!--/aplform-input-group-->
				</div><!--/aplform-form-group-->
			</div><!--/aplform-->
		</div><!--/knquiz-footer-->
	</div><!--/knquiz-front-->
</div><!--/knquiz-->

`;

///////////////////////////////////////////////////////////////////////
});
///////////////////////////////////////////////////////////////////////
